events.listen("recipes", function (e) {
  function craftPlateCreate(lingot, plate) {
    e.custom({
      type: "create:pressing",
      ingredients: [
        {
          item: lingot,
        },
      ],
      results: [
        {
          item: plate,
        },
      ],
    });
  }

  craftPlateCreate("thermal:bronze_ingot", "thermal:bronze_plate");
  craftPlateCreate("thermal:enderium_ingot", "thermal:enderium_plate");
  craftPlateCreate("thermal:lumium_ingot", "thermal:lumium_plate");
  craftPlateCreate("thermal:constantan_ingot", "thermal:constantan_plate");
  craftPlateCreate("alltheores:lead_ingot", "thermal:lead_plate");
  craftPlateCreate("alltheores:silver_ingot", "thermal:silver_plate");
  craftPlateCreate("alltheores:nickel_ingot", "thermal:nickel_plate");
  craftPlateCreate("alltheores:uranium_ingot", "kubejs:uranium_plate");
  craftPlateCreate("thermal:electrum_ingot", "thermal:electrum_plate");
  craftPlateCreate("thermal:ruby", "kubejs:ruby_plate");
  craftPlateCreate("thermal:sapphire", "kubejs:sapphire_plate");
  craftPlateCreate("thermal:invar_ingot", "thermal:invar_plate");
  craftPlateCreate("alltheores:tin_ingot", "thermal:tin_plate");
  craftPlateCreate("alltheores:aluminum_ingot", "kubejs:aluminum_plate");
  craftPlateCreate("mekanism:ingot_steel", "kubejs:steel_plate");
  craftPlateCreate("kubejs:restonia_ingot", "kubejs:restonia_plate");
});
